Get a list of messages
curl --request GET \
--url https://iris-api-sandbox.circle.com/v1/messages/{sourceDomainId}/{transactionHash}import requests
url = "https://iris-api-sandbox.circle.com/v1/messages/{sourceDomainId}/{transactionHash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://iris-api-sandbox.circle.com/v1/messages/{sourceDomainId}/{transactionHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"attestation": "0xdc485fb2f9a8f68c871f4ca7386dee9086ff9d4387756990c9c4b9280338325252866861f9495dce3128cd524d525c44e8e7b731dedd3098a618dcc19c45be1e1c",
"message": "0x00000000000000050000000300000000000194c2a65fc943419a5ad590042fd67c9791fd015acf53a54cc823edb8ff81b9ed722e00000000000000000000000019330d10d9cc8751218eaf51e8885d058642e08a000000000000000000000000fc05ad74c6fe2e7046e091d6ad4f660d2a15976200000000c6fa7af3bedbad3a3d65f36aabc97431b1bbe4c2d2f6e0e47ca60203452f5d610000000000000000000000002d475f4746419c83be23056309a8e2ac33b30e3b0000000000000000000000000000000000000000000000000000000002b67df0feae5e08f5e6bf04d8c1de7dada9235c56996f4420b14371d6c6f3ddd2f2da78",
"eventNonce": "9682"
}
]
}Get a list of messages
Retrieves message and attestation details for CCTP V1 messages.
GET
/
v1
/
messages
/
{sourceDomainId}
/
{transactionHash}
Get a list of messages
Path Parameters
Source domain identifier for a blockchain on CCTP.
Required range:
x >= 0Example:
3
Transaction hash that contains the message being transferred.
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0x912f22a13e9ccb979b621500f6952b2afd6e75be7eadaed93fc2625fe11c52a2"
Response
Successfully retrieved messages for the given domain and transaction hash.
CCTP messages corresponding to a given transaction hash and source domain ID.
Show child attributes
Show child attributes
Was this page helpful?
⌘I